-- Original Author: Hoft (https://www.esoui.com/downloads/fileinfo.php?id=1881)
-- Permission is hereby granted, free of charge, to any person obtaining a copy
-- of this software and associated documentation files (the "Software"), to deal
-- in the Software without restriction, including without limitation the rights
-- to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
-- copies of the Software, and to permit persons to whom the Software is
-- furnished to do so, subject to the following conditions:
--
-- The above copyright notice and this permission notice shall be included in
-- all copies or substantial portions of the Software.
--
-- THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
-- IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
-- FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
-- AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
-- LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
-- OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
-- THE SOFTWARE.

ProvinatusLoreBooksData = {
  garlasagea_base = {{0.581, 0.75, 19, 1}},
  goldcoast_base = {{0.858, 0.505, 19, 6}},
  kvatchcity_base = {{.287, .514, 9, 8}},
  clockwork_base = {{.786, .531, 8, 4}, {.442, .505, 15, 5}, {.877, .606, 17, 4}, {.689, .631, 20, 8}, {.687, .429, 23, 1}, {.413, .575, 26, 6}},
  shimmerene_base = {{.302, .435, 25, 6}},
  summerset_base = {
    {.268, .532, 25, 6},
    {.65, .597, 25, 10},
    {.72, .728, 16, 1},
    {.664, .788, 16, 1},
    {.564, .683, 16, 1},
    {.507, .66, 16, 1},
    {.607, .277, 9, 10},
    {.298, .259, 9, 10},
    {.469, .131, 16, 2},
    {.512, .544, 15, 5},
    {.439, .434, 25, 4}
  },
  alikr_base = {
    {.62, .433, 18, 4},
    {.558, .345, 18, 5},
    {.39, .52, 18, 6},
    {.162, .493, 5, 1},
    {.124, .516, 5, 1},
    {.086, .505, 5, 1},
    {.118, .470, 5, 1},
    {.578, .493, 5, 2},
    {.594, .483, 5, 2},
    {.634, .497, 5, 2},
    {.617, .485, 5, 2},
    {.791, .329, 5, 3},
    {.854, .358, 5, 3},
    {.804, .336, 5, 3},
    {.847, .330, 5, 3},
    {.428, .517, 5, 4},
    {.404, .534, 5, 4},
    {.469, .541, 5, 4},
    {.504, .485, 5, 4},
    {.556, .656, 5, 5},
    {.500, .640, 5, 5},
    {.500, .663, 5, 5},
    {.541, .629, 5, 5},
    {.189, .452, 5, 6},
    {.247, .439, 5, 6},
    {.222, .395, 5, 6},
    {.205, .475, 5, 6},
    {.755, .273, 5, 7},
    {.753, .325, 5, 7},
    {.785, .256, 5, 7},
    {.755, .245, 5, 7},
    {.250, .661, 5, 8},
    {.264, .661, 5, 8},
    {.234, .703, 5, 8},
    {.239, .682, 5, 8},
    {.257, .457, 5, 9},
    {.248, .432, 5, 9},
    {.300, .447, 5, 9},
    {.297, .504, 5, 9},
    {.302, .648, 5, 10},
    {.293, .694, 5, 10},
    {.326, .685, 5, 10},
    {.355, .700, 5, 10},
    {.302, .456, 8, 7},
    {.268, .412, 8, 7},
    {.290, .409, 8, 7},
    {.563, .407, 8, 8},
    {.604, .391, 8, 8},
    {.563, .398, 8, 8},
    {.222, .567, 12, 10},
    {.186, .513, 12, 10},
    {.217, .538, 12, 10},
    {.213, .524, 12, 10},
    {.608, .625, 12, 11},
    {.591, .580, 12, 11},
    {.620, .594, 12, 11},
    {.901, .520, 12, 12},
    {.873, .495, 12, 12},
    {.875, .567, 12, 12},
    {.884, .530, 12, 12},
    {.779, .573, 13, 1},
    {.710, .534, 13, 1},
    {.779, .586, 13, 1},
    {.498, .413, 13, 2},
    {.471, .445, 13, 2},
    {.478, .381, 13, 2},
    {.746, .456, 13, 3},
    {.766, .459, 13, 3},
    {.772, .440, 13, 3},
    {.433, .691, 13, 4},
    {.401, .689, 13, 4},
    {.405, .689, 13, 4},
    {.383, .697, 13, 4},
    {.261, .566, 13, 5},
    {.309, .603, 13, 5},
    {.272, .624, 13, 5},
    {.229, .574, 13, 5},
    {.661, .583, 13, 6},
    {.675, .628, 13, 6},
    {.655, .549, 13, 6},
    {.843, .497, 13, 7},
    {.449, .614, 13, 8},
    {.417, .628, 13, 8},
    {.440, .567, 13, 8},
    {.831, .580, 13, 9},
    {.843, .567, 13, 9},
    {.803, .503, 13, 9},
    {.496, .548, 13, 10},
    {.530, .546, 13, 10},
    {.502, .538, 13, 10},
    {.290, .441, 14, 4}
  },
  sentinel_base = {
    {.103, .459, 5, 6},
    {.387, .398, 5, 6},
    {.264, .187, 5, 6},
    {.179, .572, 5, 6},
    {.436, .483, 5, 9},
    {.391, .577, 5, 9},
    {.630, .715, 5, 9},
    {.640, .437, 5, 9},
    {.646, .472, 8, 7},
    {.439, .148, 8, 7},
    {.598, .413, 14, 4},
    {.828, .542, 18, 3},
    {.819, .747, 18, 6}
  },
  bergama_base = {{.259, .607, 5, 5}, {.679, .558, 5, 5}, {.262, .434, 5, 5}, {.569, .351, 5, 5}},
  kozanset_base = {{.412, .481, 13, 3}, {.637, .376, 13, 3}, {.586, .696, 13, 3}},
  smugglerkingtunnel_base = {{.433, .455, 5, 3}},
  aldunz_base = {{.194, .743, 12, 11}},
  santaki_base = {{.710, .792, 12, 10}},
  yldzuun_base = {{.627, .291, 12, 12}},
  sandblownmine_base = {{.669, .446, 13, 9}},
  coldrockdiggings_base = {{.808, .438, 18, 2}},
  divadschagrinmine_base = {{.418, .698, 13, 8}},
  volenfell_base = {{.141, .441, 11, 2}},
  auridon_base = {
    {.349, .115, 25, 1},
    {.341, .152, 25, 1},
    {.295, .098, 25, 1},
    {.324, .062, 25, 1},
    {.381, .244, 25, 2},
    {.354, .268, 25, 2},
    {.364, .306, 25, 2},
    {.369, .203, 25, 2},
    {.420, .312, 25, 3},
    {.451, .323, 25, 3},
    {.407, .366, 25, 3},
    {.452, .363, 25, 3},
    {.525, .303, 25, 4},
    {.590, .249, 25, 4},
    {.497, .278, 25, 4},
    {.601, .456, 25, 5},
    {.535, .451, 25, 5},
    {.566, .436, 25, 5},
    {.562, .476, 25, 5},
    {.246, .287, 25, 6},
    {.232, .239, 25, 6},
    {.216, .286, 25, 6},
    {.187, .234, 25, 6},
    {.526, .178, 25, 7},
    {.520, .213, 25, 7},
    {.543, .249, 25, 7},
    {.553, .183, 25, 7},
    {.28, .16, 25, 8},
    {.473, .167, 25, 9},
    {.423, .205, 25, 9},
    {.387, .148, 25, 9},
    {.440, .125, 25, 9},
    {.280, .380, 25, 10},
    {.329, .330, 25, 10},
    {.242, .358, 25, 10},
    {.327, .374, 25, 10},
    {.497, .436, 8, 1},
    {.511, .398, 8, 1},
    {.472, .372, 8, 1},
    {.502, .337, 8, 1},
    {.401, .646, 8, 2},
    {.396, .682, 8, 2},
    {.429, .700, 8, 2},
    {.451, .683, 8, 2},
    {.627, .330, 9, 1},
    {.620, .312, 9, 1},
    {.671, .304, 9, 1},
    {.578, .327, 9, 1},
    {.636, .395, 9, 2},
    {.588, .379, 9, 2},
    {.615, .428, 9, 2},
    {.642, .432, 9, 2},
    {.802, .514, 9, 3},
    {.800, .486, 9, 3},
    {.831, .498, 9, 3},
    {.710, .550, 9, 4},
    {.682, .522, 9, 4},
    {.579, .532, 9, 5},
    {.626, .561, 9, 5},
    {.561, .504, 9, 5},
    {.599, .489, 9, 5},
    {.552, .530, 9, 6},
    {.559, .592, 9, 6},
    {.565, .558, 9, 6},
    {.521, .547, 9, 6},
    {.499, .547, 9, 7},
    {.457, .518, 9, 7},
    {.447, .554, 9, 7},
    {.518, .499, 9, 7},
    {.499, .575, 9, 8},
    {.545, .640, 9, 8},
    {.522, .602, 9, 8},
    {.491, .610, 9, 8},
    {.599, .590, 10, 1},
    {.663, .636, 10, 1},
    {.569, .638, 10, 1},
    {.631, .601, 10, 1},
    {.504, .647, 10, 2},
    {.460, .655, 10, 2},
    {.446, .624, 10, 2},
    {.492, .671, 10, 2},
    {.494, .764, 10, 3},
    {.400, .739, 10, 3},
    {.479, .709, 10, 3},
    {.467, .764, 10, 3},
    {.554, .716, 12, 1},
    {.533, .661, 12, 1},
    {.522, .693, 12, 1},
    {.548, .696, 12, 1},
    {.593, .710, 12, 2},
    {.622, .719, 12, 2},
    {.595, .765, 12, 2},
    {.564, .738, 12, 2},
    {.682, .711, 12, 3},
    {.644, .754, 12, 3},
    {.680, .782, 12, 3},
    {.673, .745, 12, 3},
    {.682, .859, 19, 1},
    {.713, .825, 19, 1},
    {.635, .850, 19, 1},
    {.625, .892, 19, 1},
    {.689, .912, 19, 2},
    {.578, .949, 19, 2},
    {.629, .939, 19, 2},
    {.610, .905, 19, 2},
    {.511, .906, 19, 3},
    {.545, .855, 19, 3},
    {.564, .874, 19, 3},
    {.566, .902, 19, 3},
    {.595, .847, 19, 4},
    {.622, .822, 19, 4},
    {.601, .794, 19, 4},
    {.570, .825, 19, 4},
    {.533, .817, 19, 5},
    {.488, .826, 19, 5},
    {.563, .790, 19, 5},
    {.546, .774, 19, 5},
    {.322, .113, 11, 7}
  },
  firsthold_base = {{.487, .314, 25, 8}, {.648, .834, 25, 8}, {.734, .558, 25, 8}},
  skywatch_base = {{.27, .051, 9, 2}, {.27, .46, 9, 4}, {.50, .58, 9, 4}, {.54, .21, 9, 4}, {.66, .73, 9, 4}, {.014, .388, 9, 5}},
  vulkhelguard_base = {{.508, .387, 19, 1}, {.830, .490, 19, 2}, {.529, .626, 19, 2}, {.271, .675, 19, 2}, {.436, .455, 19, 2}, {.206, .437, 19, 3}},
  thebanishedcells_base = {{.481, .838, 11, 7}},
  bangkorai_base = {
    {.398, .301, 4, 1},
    {.414, .417, 4, 1},
    {.386, .368, 4, 1},
    {.390, .393, 4, 1},
    {.501, .355, 4, 2},
    {.504, .391, 4, 2},
    {.555, .407, 4, 2},
    {.627, .358, 4, 3},
    {.557, .367, 4, 3},
    {.612, .321, 4, 3},
    {.592, .402, 4, 3},
    {.562, .215, 4, 4},
    {.548, .259, 4, 4},
    {.586, .291, 4, 4},
    {.613, .265, 4, 4},
    {.472, .336, 4, 5},
    {.472, .226, 4, 5},
    {.452, .282, 4, 5},
    {.528, .322, 4, 5},
    {.359, .216, 4, 6},
    {.431, .201, 4, 6},
    {.395, .202, 4, 6},
    {.546, .068, 4, 7},
    {.467, .169, 4, 7},
    {.532, .165, 4, 7},
    {.511, .117, 4, 7},
    {.690, .135, 4, 8},
    {.603, .140, 4, 8},
    {.625, .099, 4, 8},
    {.639, .130, 4, 8},
    {.627, .180, 4, 9},
    {.614, .152, 4, 9},
    {.661, .183, 4, 9},
    {.579, .177, 4, 9},
    {.625, .208, 4, 10},
    {.653, .249, 4, 10},
    {.704, .207, 4, 10},
    {.658, .208, 4, 10},
    {.678, .285, 12, 13},
    {.701, .288, 12, 13},
    {.630, .434, 12, 14},
    {.700, .495, 12, 14},
    {.655, .459, 12, 14},
    {.664, .442, 12, 14},
    {.627, .477, 12, 15},
    {.595, .532, 12, 15},
    {.573, .473, 12, 16},
    {.490, .511, 12, 16},
    {.440, .503, 14, 1},
    {.353, .468, 14, 1},
    {.475, .458, 14, 1},
    {.327, .540, 14, 2},
    {.343, .593, 14, 2},
    {.450, .562, 14, 2},
    {.329, .570, 14, 2},
    {.25, .64, 14, 3},
    {.296, .609, 14, 3},
    {.341, .606, 14, 3},
    {.304, .659, 14, 3},
    {.271, .726, 14, 4},
    {.258, .701, 14, 4},
    {.273, .845, 14, 5},
    {.313, .814, 14, 5},
    {.248, .879, 14, 5},
    {.326, .935, 14, 6},
    {.351, .866, 14, 6},
    {.376, .900, 14, 6},
    {.394, .834, 14, 6},
    {.44, .88, 14, 7},
    {.481, .923, 14, 7},
    {.476, .872, 14, 7},
    {.357, .747, 14, 8},
    {.442, .736, 14, 8},
    {.394, .782, 14, 8},
    {.39, .35, 14, 9},
    {.372, .681, 14, 9},
    {.337, .691, 14, 9},
    {.487, .659, 14, 10},
    {.521, .709, 14, 10},
    {.523, .673, 14, 10},
    {.471, .615, 14, 10},
    {.59, .64, 18, 7},
    {.559, .682, 18, 7},
    {.633, .723, 18, 8},
    {.593, .726, 18, 8},
    {.595, .696, 18, 8},
    {.606, .626, 18, 9},
    {.647, .675, 18, 9},
    {.690, .682, 18, 9},
    {.668, .647, 18, 9},
    {.495, .569, 18, 10},
    {.490, .560, 18, 10},
    {.372, .277, 11, 13}
  },
  evermore_base = {{.423, .165, 4, 1}, {.354, .551, 4, 1}, {.512, .839, 4, 1}, {.374, .697, 4, 1}, {.686, .858, 14, 1}, {.38, .43, 14, 9}},
  onsisbreathmine_base = {{.207, .640, 14, 6}},
  blackhearthavenarea1_base = {{.708, .486, 11, 13}},
  hallinsstand_base = {{.540, .376, 14, 4}, {.477, .259, 14, 4}, {.292, .574, 14, 4}},
  coldharbour_base = {
    {.285, .598, 29, 1},
    {.378, .639, 29, 1},
    {.32, .65, 29, 1},
    {.328, .643, 29, 2},
    {.215, .612, 29, 2},
    {.261, .697, 29, 2},
    {.317, .822, 29, 3},
    {.422, .739, 29, 3},
    {.365, .753, 29, 3},
    {.387, .670, 29, 3},
    {.513, .690, 29, 4},
    {.470, .692, 29, 4},
    {.534, .657, 29, 4},
    {.607, .717, 29, 5},
    {.573, .758, 29, 5},
    {.582, .692, 29, 5},
    {.759, .819, 29, 6},
    {.680, .643, 29, 6},
    {.710, .761, 29, 6},
    {.676, .700, 29, 6},
    {.718, .534, 29, 7},
    {.594, .535, 29, 7},
    {.676, .572, 29, 7},
    {.718, .485, 29, 7},
    {.639, .462, 29, 8},
    {.592, .407, 29, 8},
    {.608, .451, 29, 8},
    {.447, .416, 29, 9},
    {.470, .390, 29, 9},
    {.539, .385, 29, 9},
    {.54, .39, 29, 9},
    {.454, .510, 29, 10},
    {.569, .507, 29, 10},
    {.684, .806, 7, 1},
    {.579, .484, 11, 16}
  },
  hollowcity_base = {{.646, .569, 29, 4}, {.301, .611, 29, 4}, {.839, .289, 29, 4}},
  vaultsofmadness1_base = {{.16, .85, 11, 16}},
  ava_whole = {
    {.526, .577, 8, 1},
    {.734, .483, 8, 3},
    {.271, .228, 8, 4},
    {.721, .695, 18, 5},
    {.128, .385, 8, 6},
    {.267, .228, 8, 9},
    {.339, .637, 8, 10},
    {.338, .285, 9, 2},
    {.422, .147, 9, 4},
    {.220, .244, 9, 5},
    {.624, .582, 9, 7},
    {.275, .704, 9, 8},
    {.293, .170, 9, 9},
    {.583, .195, 9, 10},
    {.754, .285, 10, 2},
    {.323, .152, 10, 4},
    {.759, .347, 10, 5},
    {.274, .669, 10, 7},
    {.213, .398, 10, 8},
    {.321, .373, 10, 9},
    {.365, .611, 10, 10},
    {.203, .257, 11, 1},
    {.754, .149, 11, 2},
    {.538, .810, 11, 3},
    {.381, .723, 11, 4},
    {.710, .490, 11, 5},
    {.608, .451, 11, 6},
    {.355, .135, 11, 7},
    {.592, .388, 11, 8},
    {.779, .216, 11, 9},
    {.714, .536, 11, 10},
    {.241, .397, 12, 5},
    {.316, .563, 12, 8},
    {.750, .474, 12, 9},
    {.395, .688, 12, 10},
    {.260, .530, 12, 12},
    {.719, .435, 12, 14},
    {.316, .172, 12, 15},
    {.184, .459, 12, 16},
    {.122, .272, 13, 1},
    {.568, .841, 13, 1},
    {.483, .611, 13, 1},
    {.815, .180, 13, 1},
    {.629, .684, 13, 2},
    {.702, .376, 13, 3},
    {.222, .489, 13, 4},
    {.807, .279, 13, 5},
    {.501, .761, 13, 6},
    {.778, .204, 13, 7},
    {.569, .835, 13, 7},
    {.117, .271, 13, 7},
    {.810, .180, 13, 7},
    {.361, .221, 13, 8},
    {.363, .698, 13, 9},
    {.363, .415, 13, 10},
    {.408, .166, 14, 1},
    {.462, .615, 14, 2},
    {.309, .734, 14, 3},
    {.807, .461, 14, 5},
    {.391, .556, 14, 6},
    {.305, .663, 14, 8},
    {.790, .274, 14, 9},
    {.586, .660, 15, 1},
    {.901, .346, 15, 2},
    {.673, .596, 15, 5},
    {.455, .725, 15, 6},
    {.670, .664, 15, 7},
    {.278, .711, 15, 8},
    {.720, .425, 15, 9},
    {.249, .550, 15, 10},
    {.720, .583, 16, 5},
    {.716, .669, 16, 6},
    {.809, .297, 16, 7},
    {.587, .693, 16, 8},
    {.289, .485, 16, 9},
    {.715, .533, 16, 10},
    {.316, .247, 17, 2},
    {.661, .611, 17, 3},
    {.807, .251, 17, 4},
    {.154, .241, 17, 5},
    {.375, .330, 17, 6},
    {.188, .263, 17, 7},
    {.613, .565, 17, 8},
    {.206, .507, 17, 9},
    {.707, .414, 17, 10},
    {.647, .776, 18, 1},
    {.167, .373, 18, 2},
    {.709, .229, 18, 3},
    {.305, .715, 18, 4},
    {.503, .215, 18, 5},
    {.508, .822, 18, 6},
    {.719, .390, 18, 7},
    {.177, .273, 18, 8},
    {.525, .288, 18, 9},
    {.630, .692, 18, 10},
    {.537, .809, 19, 2},
    {.765, .386, 19, 5},
    {.389, .404, 19, 6},
    {.837, .258, 19, 7},
    {.685, .690, 19, 8},
    {.471, .208, 19, 9},
    {.306, .663, 19, 10}
  },
  bloodmaynecave_base = {{.451, .532, 11, 3}},
  breakneckcave_base = {{.537, .594, 16, 9}},
  capstonecave_base = {{.635, .218, 9, 4}},
  crackedwoodcave_base = {{.345, .257, 15, 5}},
  echocave_base = {{.664, .655, 11, 7}},
  haynotecave_base = {{.30, .43, 12, 8}},
  kingscrest_base = {{.687, .753, 17, 4}},
  lipsandtarn_base = {{.541, .394, 17, 5}},
  muckvalleycavern_base = {{.226, .750, 11, 5}},
  newtcave_base = {{.320, .465, 8, 5}},
  nisincave_base = {{.490, .425, 13, 9}},
  potholecavern_base = {{.615, .460, 15, 6}},
  quickwatercave_base = {{.473, .817, 10, 5}},
  redrubycave_base = {{.300, .360, 9, 10}},
  serpenthollowcave_base = {{.276, .572, 17, 9}},
  toadstoolhollowlower_base = {{.908, .368, 18, 5}},
  underpallcave_base = {{.311, .181, 13, 8}},
  vahtacen_base = {{.571, .642, 14, 5}},
  imperialcity_base = {{.366, .242, 13, 1}, {.669, .145, 17, 8}, {.703, .502, 19, 8}},
  imperialsewer_daggerfall1_base = {{.547, .265, 17, 1}, {.864, .699, 8, 10}, {.085, .642, 17, 2}},
  imperialsewer_daggerfall2_base = {{.547, .265, 17, 1}, {.864, .699, 8, 10}, {.085, .642, 17, 2}},
  imperialsewer_daggerfall3_base = {{.547, .265, 17, 1}, {.864, .699, 8, 10}, {.085, .642, 17, 2}},
  Imperialsewers_ebon1 = {{.547, .265, 17, 1}, {.864, .699, 8, 10}, {.085, .642, 17, 2}},
  Imperialsewers_ebon2 = {{.547, .265, 17, 1}, {.864, .699, 8, 10}, {.085, .642, 17, 2}},
  imperialsewer_ebonheart3 = {{.547, .265, 17, 1}, {.864, .699, 8, 10}, {.085, .642, 17, 2}},
  Imperialsewers_aldmeri1 = {{.547, .265, 17, 1}, {.864, .699, 8, 10}, {.085, .642, 17, 2}},
  Imperialsewers_aldmeri2 = {{.547, .265, 17, 1}, {.864, .699, 8, 10}, {.085, .642, 17, 2}},
  Imperialsewers_aldmeri3 = {{.547, .265, 17, 1}, {.864, .699, 8, 10}, {.085, .642, 17, 2}},
  Imperialsewershub = {{.547, .265, 17, 1}, {.864, .699, 8, 10}, {.085, .642, 17, 2}},
  deshaan_base = {
    {.152, .447, 23, 1},
    {.121, .404, 23, 1},
    {.202, .455, 23, 2},
    {.185, .413, 23, 2},
    {.138, .454, 23, 2},
    {.436, .649, 23, 3},
    {.338, .634, 23, 3},
    {.367, .641, 23, 3},
    {.152, .494, 23, 4},
    {.19, .56, 23, 4},
    {.16, .55, 23, 4},
    {.118, .565, 23, 5},
    {.138, .619, 23, 5},
    {.126, .618, 23, 5},
    {.226, .587, 23, 6},
    {.200, .619, 23, 6},
    {.188, .597, 23, 6},
    {.302, .570, 23, 7},
    {.307, .621, 23, 7},
    {.288, .597, 23, 7},
    {.256, .610, 23, 7},
    {.240, .547, 23, 8},
    {.240, .524, 23, 8},
    {.274, .524, 23, 8},
    {.314, .453, 23, 9},
    {.395, .428, 23, 9},
    {.350, .445, 23, 9},
    {.244, .466, 23, 10},
    {.237, .491, 23, 10},
    {.223, .503, 23, 10},
    {.387, .620, 8, 3},
    {.359, .582, 8, 3},
    {.383, .562, 8, 3},
    {.344, .551, 8, 3},
    {.442, .376, 8, 4},
    {.427, .417, 8, 4},
    {.392, .382, 8, 4},
    {.572, .419, 10, 4},
    {.588, .467, 10, 4},
    {.538, .468, 10, 4},
    {.609, .506, 10, 4},
    {.558, .562, 10, 5},
    {.506, .564, 10, 5},
    {.888, .518, 10, 6},
    {.909, .546, 10, 6},
    {.870, .565, 10, 6},
    {.845, .541, 10, 6},
    {.775, .475, 12, 4},
    {.728, .467, 12, 4},
    {.753, .462, 12, 4},
    {.779, .441, 12, 4},
    {.867, .410, 12, 5},
    {.894, .364, 12, 5},
    {.835, .402, 12, 5},
    {.853, .380, 12, 5},
    {.611, .443, 12, 6},
    {.650, .477, 12, 6},
    {.673, .451, 12, 6},
    {.714, .434, 12, 6},
    {.405, .450, 15, 1},
    {.404, .485, 15, 1},
    {.751, .572, 15, 2},
    {.731, .512, 15, 2},
    {.687, .508, 15, 2},
    {.674, .425, 15, 3},
    {.646, .425, 15, 3},
    {.876, .481, 15, 4},
    {.865, .480, 15, 4},
    {.835, .449, 15, 4},
    {.846, .427, 15, 4},
    {.646, .546, 15, 5},
    {.673, .590, 15, 5},
    {.656, .525, 15, 5},
    {.454, .532, 15, 6},
    {.494, .532, 15, 6},
    {.407, .536, 15, 6},
    {.815, .560, 15, 7},
    {.799, .508, 15, 7},
    {.788, .561, 15, 7},
    {.562, .391, 15, 8},
    {.593, .326, 15, 8},
    {.900, .416, 16, 1},
    {.908, .437, 16, 1},
    {.767, .361, 16, 2},
    {.765, .394, 16, 2},
    {.755, .387, 16, 2},
    {.630, .609, 16, 3},
    {.674, .654, 16, 3},
    {.100, .487, 16, 4},
    {.125, .497, 16, 4},
    {.137, .539, 16, 4},
    {.110, .516, 16, 4},
    {.516, .565, 16, 5},
    {.460, .614, 16, 5},
    {.435, .588, 16, 5},
    {.790, .585, 11, 6}
  },
  mournhold_base = {
    {.204, .733, 8, 3},
    {.422, .030, 8, 4},
    {.957, .279, 10, 4},
    {.801, .742, 10, 5},
    {.309, .362, 15, 1},
    {.309, .194, 15, 1},
    {.743, .587, 15, 6},
    {.551, .589, 15, 6},
    {.324, .605, 15, 6},
    {.408, .392, 15, 6},
    {.853, .748, 16, 5},
    {.460, .860, 16, 5}
  },
  narsis_base = {{.606, .703, 23, 4}, {.370, .680, 23, 4}, {.855, .269, 23, 10}, {.132, .568, 16, 4}},
  darkshadecaverns_base = {{.309, .222, 11, 6}},
  eastmarch_base = {
    {.50, .28, 22, 1},
    {.428, .622, 22, 1},
    {.253, .621, 22, 1},
    {.547, .507, 22, 2},
    {.559, .544, 22, 2},
    {.579, .532, 22, 2},
    {.666, .530, 22, 3},
    {.727, .577, 22, 3},
    {.626, .517, 22, 3},
    {.691, .535, 22, 3},
    {.582, .604, 22, 4},
    {.545, .617, 22, 4},
    {.557, .581, 22, 4},
    {.555, .638, 22, 4},
    {.613, .601, 22, 5},
    {.681, .586, 22, 5},
    {.656, .598, 22, 5},
    {.640, .578, 22, 5},
    {.616, .568, 22, 6},
    {.661, .561, 22, 6},
    {.652, .551, 22, 6},
    {.594, .577, 22, 6},
    {.638, .629, 22, 7},
    {.606, .621, 22, 7},
    {.680, .623, 22, 7},
    {.662, .664, 22, 7},
    {.716, .637, 22, 8},
    {.687, .646, 22, 8},
    {.710, .603, 22, 8},
    {.707, .566, 22, 8},
    {.784, .487, 22, 9},
    {.819, .515, 22, 9},
    {.837, .552, 22, 9},
    {.854, .490, 22, 9},
    {.714, .678, 22, 10},
    {.738, .692, 22, 10},
    {.684, .689, 22, 10},
    {.754, .659, 22, 10},
    {.558, .414, 8, 7},
    {.506, .415, 8, 7},
    {.494, .464, 8, 7},
    {.518, .431, 8, 7},
    {.157, .559, 8, 8},
    {.164, .580, 8, 8},
    {.143, .561, 8, 8},
    {.564, .432, 10, 8},
    {.373, .277, 12, 10},
    {.390, .248, 12, 10},
    {.393, .320, 12, 10},
    {.551, .263, 12, 11},
    {.463, .259, 12, 11},
    {.583, .268, 12, 12},
    {.584, .241, 12, 12},
    {.600, .311, 12, 12},
    {.592, .344, 12, 12},
    {.475, .363, 13, 1},
    {.437, .407, 13, 1},
    {.445, .355, 13, 1},
    {.413, .378, 13, 1},
    {.350, .360, 13, 2},
    {.384, .384, 13, 2},
    {.365, .411, 13, 2},
    {.471, .332, 13, 3},
    {.556, .293, 13, 3},
    {.525, .326, 13, 3},
    {.520, .360, 13, 4},
    {.494, .400, 13, 4},
    {.552, .355, 13, 4},
    {.464, .414, 13, 4},
    {.417, .430, 13, 5},
    {.446, .429, 13, 5},
    {.453, .422, 13, 5},
    {.459, .454, 13, 5},
    {.306, .429, 13, 6},
    {.344, .421, 13, 6},
    {.321, .414, 13, 6},
    {.256, .494, 13, 7},
    {.249, .462, 13, 7},
    {.226, .518, 13, 7},
    {.331, .494, 13, 8},
    {.334, .464, 13, 8},
    {.376, .444, 13, 8},
    {.288, .495, 13, 8},
    {.226, .628, 13, 9},
    {.177, .611, 13, 9},
    {.219, .680, 13, 9},
    {.250, .625, 13, 10},
    {.433, .503, 18, 1},
    {.262, .555, 18, 1},
    {.343, .657, 18, 2},
    {.389, .680, 18, 2},
    {.325, .679, 18, 2},
    {.397, .648, 18, 2},
    {.363, .589, 18, 3},
    {.368, .613, 18, 3},
    {.381, .599, 18, 3},
    {.411, .604, 18, 3},
    {.394, .542, 18, 4},
    {.416, .544, 18, 4},
    {.358, .557, 18, 4},
    {.443, .556, 18, 4},
    {.414, .491, 18, 5},
    {.419, .471, 18, 5},
    {.370, .505, 18, 5},
    {.482, .513, 18, 6},
    {.274, .565, 18, 6},
    {.737, .703, 11, 10}
  },
  fortamol_base = {{.302, .441, 22, 1}, {.069, .481, 13, 9}, {.274, .473, 13, 10}, {.252, .220, 13, 10}},
  windhelm_base = {{.511, .573, 22, 1}, {.509, .483, 22, 1}, {.475, .571, 12, 11}, {.201, .773, 12, 11}, {.256, .378, 12, 11}},
  icehammersvault_base = {{.086, .328, 10, 8}},
  direfrostkeep_base = {{.541, .653, 11, 10}},
  glenumbra_base = {
    {.27, .74, 1, 1},
    {.22, .68, 1, 2},
    {.360, .715, 1, 3},
    {.373, .632, 1, 3},
    {.407, .673, 1, 3},
    {.316, .660, 1, 3},
    {.209, .590, 1, 4},
    {.251, .588, 1, 4},
    {.242, .600, 1, 4},
    {.235, .565, 1, 4},
    {.316, .514, 1, 5},
    {.259, .528, 1, 5},
    {.351, .540, 1, 5},
    {.359, .512, 1, 5},
    {.300, .574, 1, 6},
    {.343, .614, 1, 6},
    {.294, .632, 1, 6},
    {.352, .592, 1, 6},
    {.452, .526, 1, 7},
    {.400, .427, 1, 7},
    {.412, .536, 1, 7},
    {.477, .548, 1, 7},
    {.426, .576, 1, 7},
    {.423, .797, 1, 8},
    {.506, .650, 1, 8},
    {.434, .745, 1, 8},
    {.448, .714, 1, 8},
    {.499, .778, 1, 8},
    {.564, .724, 1, 9},
    {.540, .711, 1, 9},
    {.512, .693, 1, 9},
    {.484, .748, 1, 9},
    {.457, .640, 1, 10},
    {.502, .641, 1, 10},
    {.491, .623, 1, 10},
    {.494, .673, 1, 10},
    {.651, .374, 8, 1},
    {.693, .358, 8, 1},
    {.634, .418, 8, 1},
    {.692, .414, 8, 1},
    {.608, .450, 8, 2},
    {.590, .469, 8, 2},
    {.550, .507, 8, 2},
    {.294, .417, 9, 1},
    {.196, .443, 9, 1},
    {.234, .486, 9, 1},
    {.554, .609, 9, 2},
    {.588, .607, 9, 2},
    {.56, .58, 9, 2},
    {.642, .513, 9, 3},
    {.689, .538, 9, 3},
    {.641, .458, 9, 3},
    {.710, .475, 9, 3},
    {.744, .348, 9, 4},
    {.755, .406, 9, 4},
    {.721, .318, 9, 4},
    {.520, .400, 9, 5},
    {.494, .394, 9, 5},
    {.515, .450, 9, 5},
    {.515, .433, 9, 5},
    {.576, .372, 9, 6},
    {.615, .351, 9, 6},
    {.615, .371, 9, 6},
    {.553, .398, 9, 6},
    {.535, .385, 9, 6},
    {.518, .353, 9, 7},
    {.509, .344, 9, 7},
    {.534, .341, 9, 7},
    {.439, .349, 9, 8},
    {.424, .407, 9, 8},
    {.448, .379, 9, 8},
    {.324, .382, 10, 1},
    {.322, .342, 10, 1},
    {.347, .362, 10, 1},
    {.377, .307, 10, 1},
    {.806, .341, 10, 2},
    {.548, .234, 10, 2},
    {.817, .299, 10, 2},
    {.755, .269, 10, 3},
    {.792, .312, 10, 3},
    {.786, .232, 10, 3},
    {.82, .16, 12, 1},
    {.773, .156, 12, 2},
    {.686, .131, 12, 2},
    {.734, .149, 12, 2},
    {.754, .176, 12, 2},
    {.740, .197, 12, 3},
    {.723, .243, 12, 3},
    {.690, .174, 19, 1},
    {.605, .185, 19, 1},
    {.603, .233, 19, 2},
    {.637, .250, 19, 2},
    {.653, .234, 19, 2},
    {.684, .253, 19, 2},
    {.640, .273, 19, 3},
    {.644, .318, 19, 3},
    {.664, .339, 19, 3},
    {.605, .324, 19, 4},
    {.577, .301, 19, 4},
    {.590, .289, 19, 4},
    {.611, .282, 19, 4},
    {.573, .225, 19, 5},
    {.571, .263, 19, 5},
    {.557, .228, 19, 5},
    {.522, .234, 19, 5},
    {.714, .336, 11, 8}
  },
  aldcroft_base = {{.387, .648, 9, 2}, {.381, .878, 9, 2}},
  crosswych_base = {{.554, .822, 12, 1}, {.568, .621, 12, 1}, {.397, .654, 12, 1}, {.683, .648, 12, 1}},
  daggerfall_base = {{.749, .699, 1, 1}, {.517, .636, 1, 1}, {.311, .566, 1, 1}, {.657, .606, 1, 1}, {.216, .089, 1, 2}, {.431, .143, 1, 2}, {.511, .290, 1, 2}, {.606, .325, 1, 2}, {.892, .254, 1, 3}},
  desolationsend_base = {{.856, .376, 9, 8}},
  spindleclutch_base = {{.677, .475, 11, 8}},
  strosmkai_base = {{.403, .509, 12, 11}},
  grahtwood_base = {
    {.430, .749, 26, 1},
    {.406, .758, 26, 1},
    {.383, .780, 26, 1},
    {.417, .766, 26, 1},
    {.384, .676, 26, 2},
    {.485, .617, 26, 2},
    {.491, .560, 26, 2},
    {.415, .656, 26, 2},
    {.537, .682, 26, 3},
    {.533, .640, 26, 3},
    {.501, .703, 26, 3},
    {.646, .743, 26, 4},
    {.564, .714, 26, 4},
    {.588, .745, 26, 4},
    {.650, .712, 26, 4},
    {.549, .791, 26, 5},
    {.512, .752, 26, 5},
    {.456, .780, 26, 5},
    {.491, .810, 26, 5},
    {.664, .665, 26, 6},
    {.648, .589, 26, 6},
    {.615, .639, 26, 6},
    {.660, .645, 26, 6},
    {.852, .568, 26, 7},
    {.772, .521, 26, 7},
    {.778, .504, 26, 8},
    {.767, .602, 26, 8},
    {.840, .632, 26, 8},
    {.728, .602, 26, 8},
    {.739, .671, 26, 9},
    {.720, .728, 26, 9},
    {.694, .748, 26, 9},
    {.835, .765, 26, 10},
    {.829, .715, 26, 10},
    {.562, .171, 8, 3},
    {.596, .207, 8, 3},
    {.565, .261, 8, 4},
    {.519, .271, 8, 4},
    {.536, .233, 8, 4},
    {.460, .530, 10, 4},
    {.426, .580, 10, 4},
    {.418, .517, 10, 4},
    {.323, .608, 10, 5},
    {.318, .626, 10, 5},
    {.246, .598, 10, 5},
    {.295, .560, 10, 5},
    {.349, .549, 10, 6},
    {.303, .525, 10, 6},
    {.300, .433, 10, 6},
    {.301, .448, 10, 6},
    {.407, .466, 12, 4},
    {.377, .512, 12, 4},
    {.368, .433, 12, 4},
    {.390, .425, 12, 4},
    {.447, .428, 12, 5},
    {.456, .488, 12, 5},
    {.478, .462, 12, 5},
    {.445, .366, 12, 5},
    {.354, .370, 12, 6},
    {.373, .344, 12, 6},
    {.431, .327, 12, 6},
    {.619, .550, 15, 1},
    {.510, .548, 15, 2},
    {.579, .532, 15, 2},
    {.550, .566, 15, 2},
    {.777, .485, 15, 3},
    {.701, .438, 15, 3},
    {.757, .424, 15, 3},
    {.698, .490, 15, 3},
    {.680, .412, 15, 4},
    {.723, .372, 15, 4},
    {.647, .387, 15, 4},
    {.543, .381, 15, 5},
    {.585, .411, 15, 5},
    {.577, .354, 15, 5},
    {.507, .379, 15, 6},
    {.428, .294, 15, 6},
    {.499, .299, 15, 6},
    {.483, .358, 15, 6},
    {.642, .334, 15, 7},
    {.654, .309, 15, 7},
    {.608, .321, 15, 7},
    {.474, .187, 15, 8},
    {.459, .268, 15, 8},
    {.494, .234, 15, 8},
    {.429, .230, 15, 8},
    {.380, .393, 16, 1},
    {.322, .404, 16, 1},
    {.287, .334, 16, 1},
    {.268, .311, 16, 2},
    {.280, .226, 16, 2},
    {.288, .257, 16, 2},
    {.238, .130, 16, 3},
    {.335, .156, 16, 3},
    {.278, .161, 16, 3},
    {.284, .159, 16, 3},
    {.340, .267, 16, 4},
    {.395, .269, 16, 4},
    {.349, .230, 16, 4},
    {.327, .234, 16, 4},
    {.195, .157, 16, 5},
    {.194, .205, 16, 5},
    {.224, .225, 16, 5},
    {.256, .203, 16, 5},
    {.526, .484, 11, 5}
  },
  eldenhollow_base = {{.786, .624, 11, 5}},
  eldenrootgroundfloor_base = {{.745, .733, 15, 1}, {.730, .484, 15, 1}, {.566, .655, 15, 2}, {.440, .808, 15, 2}},
  haven_base = {{.398, .252, 26, 9}, {.235, .205, 26, 9}, {.294, .496, 26, 9}, {.170, .600, 26, 9}, {.829, .425, 26, 10}, {.857, .675, 26, 10}, {.453, .586, 26, 10}, {.514, .355, 26, 10}},
  redfurtradingpost_base = {{.778, .392, 16, 3}, {.229, .439, 16, 3}, {.279, .419, 16, 3}},
  sacredleapgrotto_base = {{.698, .528, 26, 7}},
  greenshade_base = {
    {.459, .299, 27, 1},
    {.432, .345, 27, 1},
    {.403, .298, 27, 1},
    {.553, .711, 27, 2},
    {.576, .653, 27, 2},
    {.591, .635, 27, 2},
    {.527, .717, 27, 2},
    {.444, .727, 27, 3},
    {.479, .760, 27, 3},
    {.510, .688, 27, 3},
    {.505, .782, 27, 4},
    {.492, .864, 27, 4},
    {.457, .783, 27, 4},
    {.448, .851, 27, 4},
    {.625, .790, 27, 5},
    {.611, .754, 27, 5},
    {.363, .525, 27, 6},
    {.313, .547, 27, 6},
    {.295, .495, 27, 6},
    {.338, .474, 27, 6},
    {.384, .565, 27, 7},
    {.359, .460, 27, 7},
    {.413, .460, 27, 7},
    {.251, .383, 27, 8},
    {.228, .298, 27, 8},
    {.313, .381, 27, 8},
    {.302, .356, 27, 8},
    {.549, .446, 27, 9},
    {.481, .482, 27, 9},
    {.569, .327, 27, 10},
    {.605, .313, 27, 10},
    {.535, .300, 27, 10},
    {.589, .349, 27, 10},
    {.317, .803, 8, 5},
    {.258, .856, 8, 5},
    {.376, .775, 8, 5},
    {.353, .843, 8, 5},
    {.485, .355, 8, 6},
    {.471, .402, 8, 6},
    {.526, .374, 8, 6},
    {.556, .364, 8, 6},
    {.665, .510, 10, 7},
    {.665, .546, 10, 7},
    {.714, .555, 10, 7},
    {.740, .508, 10, 7},
    {.367, .297, 10, 8},
    {.332, .326, 10, 8},
    {.293, .273, 10, 8},
    {.377, .372, 10, 8},
    {.705, .767, 10, 9},
    {.770, .814, 10, 9},
    {.752, .723, 10, 9},
    {.766, .779, 10, 9},
    {.717, .381, 10, 10},
    {.644, .374, 10, 10},
    {.637, .415, 10, 10},
    {.682, .322, 10, 10},
    {.786, .675, 12, 7},
    {.748, .627, 12, 7},
    {.692, .677, 12, 7},
    {.727, .698, 12, 7},
    {.343, .189, 12, 8},
    {.308, .148, 12, 8},
    {.260, .144, 12, 8},
    {.361, .143, 12, 8},
    {.656, .723, 12, 9},
    {.605, .703, 12, 9},
    {.648, .767, 12, 9},
    {.618, .672, 12, 9},
    {.360, .568, 16, 6},
    {.299, .571, 16, 6},
    {.336, .675, 16, 6},
    {.257, .669, 16, 7},
    {.240, .593, 16, 7},
    {.253, .635, 16, 7},
    {.119, .524, 16, 8},
    {.232, .549, 16, 8},
    {.197, .585, 16, 8},
    {.150, .548, 16, 8},
    {.092, .618, 16, 9},
    {.158, .598, 16, 9},
    {.167, .698, 16, 9},
    {.261, .774, 17, 1},
    {.198, .755, 17, 1},
    {.230, .776, 17, 1},
    {.21, .72, 17, 1},
    {.283, .747, 17, 2},
    {.294, .721, 17, 2},
    {.349, .703, 17, 2},
    {.451, .285, 17, 3},
    {.502, .254, 17, 3},
    {.451, .227, 17, 3},
    {.609, .879, 17, 4},
    {.618, .912, 17, 4},
    {.650, .890, 17, 4},
    {.523, .903, 17, 4},
    {.750, .846, 17, 5},
    {.728, .843, 17, 5},
    {.686, .880, 17, 5},
    {.348, .262, 17, 6},
    {.378, .273, 17, 6},
    {.274, .272, 17, 6},
    {.416, .216, 17, 6},
    {.402, .737, 17, 7},
    {.405, .628, 17, 7},
    {.378, .708, 17, 7},
    {.397, .607, 17, 7},
    {.335, .237, 17, 8},
    {.309, .241, 17, 8},
    {.301, .195, 17, 8},
    {.658, .300, 11, 12}
  },
  falinesticave_base = {{.398, .759, 27, 9}},
  marbruk_base = {{.245, .368, 10, 7}, {.245, .607, 10, 7}, {.565, .660, 10, 7}, {.734, .355, 10, 7}},
  woodhearth_base = {{.795, .336, 16, 7}, {.841, .498, 16, 7}, {.860, .624, 16, 7}, {.629, .305, 16, 8}, {.229, .431, 16, 9}, {.477, .357, 16, 9}, {.514, .737, 16, 9}, {.692, .815, 17, 1}},
  cityofashmain_base = {{.275, .444, 11, 12}},
  malabaltor_base = {
    {.728, .494, 21, 1},
    {.748, .411, 21, 1},
    {.708, .492, 21, 1},
    {.758, .450, 21, 1},
    {.200, .466, 21, 2},
    {.208, .535, 21, 2},
    {.783, .524, 21, 3},
    {.828, .493, 21, 3},
    {.80, .35, 21, 3},
    {.843, .477, 21, 3},
    {.231, .489, 21, 4},
    {.216, .461, 21, 4},
    {.236, .472, 21, 4},
    {.57, .50, 21, 5},
    {.602, .528, 21, 5},
    {.231, .401, 21, 6},
    {.349, .412, 21, 6},
    {.395, .397, 21, 6},
    {.808, .233, 21, 7},
    {.804, .170, 21, 7},
    {.471, .706, 21, 8},
    {.422, .657, 21, 8},
    {.473, .563, 21, 8},
    {.597, .650, 21, 9},
    {.602, .727, 21, 9},
    {.573, .703, 21, 9},
    {.614, .767, 21, 9},
    {.493, .420, 21, 10},
    {.481, .435, 21, 10},
    {.501, .398, 21, 10},
    {.513, .430, 21, 10},
    {.335, .599, 8, 7},
    {.367, .596, 8, 7},
    {.376, .595, 8, 7},
    {.435, .588, 8, 7},
    {.642, .234, 8, 8},
    {.616, .242, 8, 8},
    {.661, .225, 8, 8},
    {.680, .176, 8, 8},
    {.381, .623, 12, 10},
    {.424, .644, 12, 10},
    {.413, .656, 12, 10},
    {.644, .312, 12, 11},
    {.669, .328, 12, 11},
    {.477, .368, 12, 12},
    {.479, .326, 12, 12},
    {.186, .573, 13, 1},
    {.192, .589, 13, 1},
    {.218, .587, 13, 1},
    {.197, .605, 13, 1},
    {.722, .303, 13, 2},
    {.773, .326, 13, 2},
    {.751, .274, 13, 2},
    {.788, .298, 13, 2},
    {.54, .43, 13, 3},
    {.581, .465, 13, 3},
    {.611, .367, 13, 3},
    {.600, .395, 13, 3},
    {.283, .622, 13, 4},
    {.313, .602, 13, 4},
    {.292, .545, 13, 4},
    {.712, .657, 13, 5},
    {.658, .619, 13, 5},
    {.686, .595, 13, 5},
    {.679, .648, 13, 5},
    {.674, .833, 13, 6},
    {.667, .821, 13, 6},
    {.627, .870, 13, 6},
    {.625, .827, 13, 6},
    {.236, .543, 13, 7},
    {.578, .734, 13, 8},
    {.502, .736, 13, 8},
    {.580, .793, 13, 8},
    {.643, .386, 13, 9},
    {.643, .444, 13, 9},
    {.646, .455, 13, 9},
    {.667, .414, 13, 9},
    {.84, .30, 13, 10},
    {.847, .257, 13, 10},
    {.708, .492, 13, 10},
    {.639, .719, 18, 1},
    {.651, .714, 18, 1},
    {.647, .766, 18, 1},
    {.664, .789, 18, 1},
    {.579, .564, 18, 2},
    {.638, .505, 18, 2},
    {.563, .605, 18, 2},
    {.582, .624, 18, 2},
    {.375, .508, 18, 3},
    {.358, .555, 18, 3},
    {.428, .520, 18, 3},
    {.381, .458, 18, 3},
    {.643, .335, 18, 4},
    {.648, .280, 18, 4},
    {.601, .293, 18, 4},
    {.18, .49, 18, 5},
    {.15, .42, 18, 5},
    {.775, .576, 18, 6},
    {.728, .752, 18, 6},
    {.794, .571, 18, 6},
    {.755, .748, 18, 6},
    {.460, .330, 11, 14}
  },
  baandaritradingpost_base = {{.300, .613, 21, 3}, {.097, .451, 13, 2}, {.532, .242, 13, 10}, {.565, .470, 18, 5}},
  hoarvorpit_base = {{.454, .434, 21, 8}},
  deadmansdrop_base = {{.517, .399, 21, 6}},
  vulkwasten_base = {{.607, .587, 21, 5}, {.409, .669, 21, 5}, {.437, .212, 13, 3}, {.694, .378, 13, 3}},
  ouze_base = {{.274, .471, 21, 3}},
  tempestisland_base = {{.445, .367, 11, 4}, {.365, .812, 11, 14}},
  rootsofsilvenar_base = {{.260, .447, 21, 1}, {.249, .644, 13, 10}},
  velynharbor_base = {{.880, .603, 21, 2}, {.843, .309, 21, 2}, {.760, .395, 18, 5}, {.637, .106, 18, 5}, {.373, .150, 18, 5}},
  blackvineruins_base = {{.154, .484, 13, 2}},
  reapersmarch_base = {
    {.460, .107, 28, 1},
    {.562, .738, 28, 1},
    {.550, .685, 28, 1},
    {.512, .648, 28, 1},
    {.737, .151, 28, 2},
    {.710, .202, 28, 2},
    {.768, .187, 28, 2},
    {.690, .237, 28, 3},
    {.723, .251, 28, 3},
    {.769, .216, 28, 3},
    {.760, .303, 28, 3},
    {.79, .33, 28, 4},
    {.778, .405, 28, 4},
    {.639, .286, 28, 5},
    {.601, .234, 28, 5},
    {.590, .357, 28, 5},
    {.73, .33, 28, 6},
    {.69, .35, 28, 6},
    {.725, .283, 28, 6},
    {.691, .313, 28, 6},
    {.569, .408, 28, 7},
    {.520, .444, 28, 7},
    {.572, .382, 28, 8},
    {.624, .397, 28, 8},
    {.651, .388, 28, 8},
    {.49, .48, 28, 9},
    {.537, .452, 28, 9},
    {.546, .506, 28, 9},
    {.472, .457, 28, 9},
    {.590, .499, 28, 10},
    {.610, .543, 28, 10},
    {.577, .605, 28, 10},
    {.584, .548, 28, 10},
    {.412, .247, 12, 13},
    {.407, .191, 12, 13},
    {.373, .276, 12, 13},
    {.463, .274, 12, 14},
    {.539, .274, 12, 14},
    {.509, .307, 12, 14},
    {.443, .388, 12, 15},
    {.410, .422, 12, 15},
    {.391, .371, 12, 15},
    {.460, .335, 12, 15},
    {.217, .422, 12, 16},
    {.220, .400, 12, 16},
    {.152, .426, 12, 16},
    {.285, .449, 14, 1},
    {.369, .445, 14, 1},
    {.324, .427, 14, 1},
    {.283, .353, 14, 1},
    {.276, .482, 14, 2},
    {.300, .546, 14, 2},
    {.349, .493, 14, 2},
    {.281, .522, 14, 2},
    {.282, .623, 14, 3},
    {.252, .558, 14, 3},
    {.314, .592, 14, 3},
    {.267, .653, 14, 4},
    {.240, .660, 14, 4},
    {.241, .743, 14, 4},
    {.266, .713, 14, 4},
    {.305, .807, 14, 5},
    {.230, .793, 14, 5},
    {.306, .874, 14, 5},
    {.262, .850, 14, 5},
    {.329, .725, 14, 6},
    {.373, .800, 14, 6},
    {.295, .736, 14, 6},
    {.356, .762, 14, 6},
    {.468, .564, 14, 7},
    {.462, .494, 14, 7},
    {.446, .618, 14, 8},
    {.464, .655, 14, 8},
    {.415, .645, 14, 8},
    {.390, .664, 14, 9},
    {.331, .689, 14, 9},
    {.343, .607, 14, 9},
    {.316, .660, 14, 9},
    {.426, .789, 14, 10},
    {.385, .734, 14, 10},
    {.485, .771, 14, 10},
    {.442, .725, 14, 10},
    {.320, .128, 18, 7},
    {.336, .206, 18, 7},
    {.284, .261, 18, 7},
    {.466, .129, 18, 8},
    {.481, .210, 18, 8},
    {.51, .17, 18, 8},
    {.55, .19, 18, 9},
    {.56, .16, 18, 9},
    {.278, .343, 18, 10},
    {.331, .330, 18, 10},
    {.235, .341, 18, 10},
    {.206, .795, 11, 15}
  },
  arenthia_base = {{.157, .700, 18, 8}, {.459, .643, 18, 9}, {.429, .782, 18, 9}},
  dune_base = {{.480, .104, 28, 3}, {.645, .229, 28, 4}, {.312, .554, 28, 4}, {.605, .559, 28, 4}, {.327, .228, 28, 6}, {.126, .350, 28, 6}},
  rawlkha_base = {{.551, .611, 14, 7}, {.555, .323, 14, 7}},
  selenesweb_base = {{.706, .916, 11, 15}},
  rivenspire_base = {
    {.184, .664, 3, 1},
    {.183, .624, 3, 1},
    {.147, .593, 3, 1},
    {.707, .413, 3, 2},
    {.678, .411, 3, 2},
    {.718, .375, 3, 2},
    {.751, .382, 3, 2},
    {.726, .327, 3, 3},
    {.667, .332, 3, 3},
    {.682, .301, 3, 3},
    {.670, .381, 3, 3},
    {.853, .308, 3, 4},
    {.787, .328, 3, 4},
    {.824, .355, 3, 4},
    {.826, .332, 3, 4},
    {.423, .399, 3, 5},
    {.387, .359, 3, 5},
    {.397, .408, 3, 5},
    {.388, .442, 3, 5},
    {.472, .318, 3, 6},
    {.349, .317, 3, 6},
    {.400, .304, 3, 6},
    {.399, .331, 3, 6},
    {.687, .258, 3, 7},
    {.656, .229, 3, 7},
    {.730, .229, 3, 7},
    {.700, .215, 3, 7},
    {.727, .168, 3, 8},
    {.687, .136, 3, 8},
    {.708, .116, 3, 8},
    {.680, .175, 3, 8},
    {.826, .169, 3, 9},
    {.760, .221, 3, 9},
    {.797, .194, 3, 9},
    {.735, .258, 3, 10},
    {.724, .201, 3, 10},
    {.750, .152, 3, 10},
    {.810, .168, 3, 10},
    {.617, .686, 8, 5},
    {.650, .646, 8, 5},
    {.644, .679, 8, 5},
    {.600, .632, 8, 5},
    {.648, .589, 8, 6},
    {.699, .646, 8, 6},
    {.639, .629, 8, 6},
    {.695, .621, 8, 6},
    {.298, .634, 10, 7},
    {.358, .690, 10, 7},
    {.367, .654, 10, 7},
    {.306, .678, 10, 7},
    {.475, .676, 10, 8},
    {.482, .713, 10, 8},
    {.434, .689, 10, 8},
    {.418, .694, 10, 8},
    {.491, .605, 10, 9},
    {.480, .658, 10, 9},
    {.422, .635, 10, 9},
    {.40, .53, 12, 7},
    {.572, .688, 12, 8},
    {.526, .670, 12, 8},
    {.511, .638, 12, 8},
    {.258, .507, 12, 9},
    {.235, .564, 12, 9},
    {.201, .538, 12, 9},
    {.273, .521, 12, 9},
    {.331, .557, 16, 6},
    {.310, .516, 16, 6},
    {.333, .492, 16, 6},
    {.800, .303, 16, 7},
    {.748, .310, 16, 7},
    {.754, .261, 16, 7},
    {.827, .262, 16, 7},
    {.300, .575, 16, 8},
    {.360, .625, 16, 8},
    {.339, .592, 16, 8},
    {.307, .601, 16, 8},
    {.534, .584, 16, 9},
    {.539, .615, 16, 9},
    {.584, .616, 16, 9},
    {.504, .561, 17, 1},
    {.557, .553, 17, 1},
    {.506, .510, 17, 1},
    {.366, .426, 17, 2},
    {.299, .363, 17, 2},
    {.263, .651, 17, 3},
    {.252, .642, 17, 3},
    {.271, .614, 17, 3},
    {.216, .611, 17, 3},
    {.579, .542, 17, 4},
    {.630, .555, 17, 4},
    {.578, .570, 17, 4},
    {.626, .514, 17, 5},
    {.600, .510, 17, 5},
    {.581, .479, 17, 5},
    {.575, .494, 17, 5},
    {.687, .670, 17, 6},
    {.689, .703, 17, 6},
    {.706, .729, 17, 6},
    {.711, .698, 17, 6},
    {.633, .716, 17, 7},
    {.587, .740, 17, 7},
    {.599, .705, 17, 7},
    {.616, .753, 17, 7},
    {.598, .452, 17, 8},
    {.611, .439, 17, 8},
    {.635, .474, 17, 8},
    {.677, .466, 19, 2},
    {.700, .450, 19, 2},
    {.725, .450, 19, 2},
    {.721, .736, 11, 3}
  },
  hoarfrost_base = {{.386, .385, 17, 4}, {.400, .094, 17, 4}, {.776, .694, 17, 4}},
  shornhelm_base = {{.259, .668, 7, 4}, {.681, .633, 10, 10}, {.339, .736, 10, 10}, {.642, .648, 10, 10}, {.307, .453, 12, 7}, {.418, .271, 12, 7}, {.627, .309, 12, 7}, {.979, .533, 17, 1}},
  northpoint_base = {
    {.087, .604, 3, 7},
    {.072, .213, 3, 8},
    {.708, .226, 3, 9},
    {.277, .560, 3, 9},
    {.519, .390, 3, 9},
    {.598, .602, 3, 9},
    {.597, .214, 3, 10},
    {.213, .115, 3, 10},
    {.243, .811, 16, 7}
  },
  shroudedpass_base = {{.183, .263, 17, 2}},
  cryptofhearts_base = {{.457, .240, 11, 3}, {.678, .181, 11, 3}},
  shadowfen_base = {
    {.187, .748, 6, 1},
    {.177, .805, 6, 1},
    {.149, .820, 6, 1},
    {.093, .811, 6, 1},
    {.605, .385, 6, 2},
    {.367, .638, 6, 2},
    {.185, .826, 6, 2},
    {.457, .836, 6, 3},
    {.491, .744, 6, 3},
    {.467, .775, 6, 3},
    {.521, .837, 6, 3},
    {.452, .650, 6, 4},
    {.445, .623, 6, 4},
    {.480, .705, 6, 4},
    {.419, .687, 6, 4},
    {.302, .574, 6, 5},
    {.270, .609, 6, 5},
    {.166, .586, 6, 5},
    {.274, .519, 6, 5},
    {.307, .497, 6, 6},
    {.372, .450, 6, 6},
    {.329, .523, 6, 6},
    {.185, .658, 6, 7},
    {.257, .695, 6, 7},
    {.193, .693, 6, 7},
    {.236, .654, 6, 7},
    {.425, .562, 6, 8},
    {.380, .597, 6, 8},
    {.409, .494, 6, 8},
    {.285, .676, 6, 9},
    {.384, .758, 6, 9},
    {.385, .669, 6, 9},
    {.330, .676, 6, 9},
    {.529, .724, 6, 10},
    {.553, .705, 6, 10},
    {.571, .654, 6, 10},
    {.505, .659, 6, 10},
    {.44, .29, 7, 4},
    {.679, .375, 8, 5},
    {.665, .407, 8, 5},
    {.630, .378, 8, 5},
    {.636, .429, 8, 5},
    {.605, .226, 8, 6},
    {.527, .233, 8, 6},
    {.622, .288, 8, 6},
    {.572, .265, 8, 6},
    {.450, .430, 10, 7},
    {.409, .412, 10, 7},
    {.456, .377, 10, 7},
    {.560, .327, 10, 8},
    {.585, .359, 10, 8},
    {.519, .394, 10, 8},
    {.208, .356, 10, 9},
    {.284, .294, 10, 9},
    {.288, .341, 10, 9},
    {.272, .384, 10, 9},
    {.49, .27, 10, 10},
    {.444, .258, 10, 10},
    {.455, .303, 10, 10},
    {.352, .362, 12, 7},
    {.353, .305, 12, 7},
    {.335, .404, 12, 7},
    {.312, .317, 12, 7},
    {.451, .157, 12, 8},
    {.517, .185, 12, 8},
    {.488, .208, 12, 8},
    {.362, .182, 12, 9},
    {.404, .201, 12, 9},
    {.367, .225, 12, 9},
    {.305, .154, 12, 9},
    {.271, .244, 16, 6},
    {.327, .255, 16, 6},
    {.247, .212, 16, 6},
    {.553, .298, 16, 7},
    {.733, .445, 16, 8},
    {.814, .421, 16, 8},
    {.836, .447, 16, 8},
    {.769, .501, 16, 8},
    {.848, .512, 16, 9},
    {.851, .595, 16, 9},
    {.786, .605, 16, 9},
    {.766, .563, 16, 9},
    {.504, .519, 17, 1},
    {.532, .568, 17, 1},
    {.475, .543, 17, 1},
    {.609, .506, 17, 2},
    {.691, .502, 17, 2},
    {.625, .529, 17, 2},
    {.665, .647, 17, 3},
    {.543, .607, 17, 3},
    {.615, .623, 17, 3},
    {.581, .815, 17, 4},
    {.672, .861, 17, 4},
    {.656, .812, 17, 4},
    {.703, .691, 17, 5},
    {.624, .721, 17, 5},
    {.590, .705, 17, 5},
    {.760, .775, 17, 6},
    {.770, .671, 17, 6},
    {.793, .714, 17, 6},
    {.827, .694, 17, 6},
    {.855, .777, 17, 7},
    {.894, .763, 17, 7},
    {.823, .783, 17, 7},
    {.780, .811, 17, 8},
    {.720, .817, 17, 8},
    {.807, .828, 17, 8},
    {.727, .847, 17, 8},
    {.165, .584, 11, 11}
  },
  stormhold_base = {{.420, .655, 7, 4}, {.768, .490, 10, 10}, {.441, .407, 10, 10}, {.509, .691, 10, 10}, {.710, .084, 12, 8}, {.525, .138, 12, 8}, {.860, .678, 16, 7}},
  altencorimont_base = {{.405, .821, 17, 3}, {.570, .592, 17, 3}, {.153, .680, 17, 3}},
  arxcorinium_base = {{.143, .315, 11, 11}},
  stonefalls_base = {
    {.589, .678, 20, 8},
    {.755, .647, 20, 1},
    {.706, .622, 20, 1},
    {.776, .584, 20, 1},
    {.795, .620, 20, 1},
    {.777, .555, 20, 2},
    {.770, .514, 20, 2},
    {.820, .512, 20, 2},
    {.348, .338, 20, 3},
    {.325, .361, 20, 3},
    {.315, .406, 20, 3},
    {.229, .357, 20, 4},
    {.226, .378, 20, 4},
    {.168, .407, 20, 4},
    {.57, .51, 20, 5},
    {.354, .512, 20, 6},
    {.393, .468, 20, 6},
    {.282, .492, 20, 6},
    {.284, .290, 20, 7},
    {.283, .262, 20, 7},
    {.245, .233, 20, 7},
    {.225, .207, 20, 7},
    {.547, .699, 20, 8},
    {.632, .693, 20, 8},
    {.651, .687, 20, 8},
    {.166, .365, 20, 9},
    {.192, .363, 20, 9},
    {.200, .319, 20, 9},
    {.202, .293, 20, 9},
    {.146, .569, 20, 10},
    {.135, .605, 20, 10},
    {.181, .583, 20, 10},
    {.186, .593, 20, 10},
    {.859, .430, 8, 1},
    {.808, .380, 8, 1},
    {.820, .404, 8, 1},
    {.788, .431, 8, 1},
    {.575, .572, 8, 2},
    {.585, .605, 8, 2},
    {.580, .588, 8, 2},
    {.583, .594, 8, 2},
    {.470, .601, 9, 1},
    {.446, .593, 9, 1},
    {.499, .614, 9, 1},
    {.498, .583, 9, 1},
    {.269, .671, 9, 2},
    {.305, .677, 9, 2},
    {.288, .621, 9, 2},
    {.297, .635, 9, 2},
    {.251, .503, 9, 3},
    {.275, .578, 9, 3},
    {.219, .554, 9, 3},
    {.290, .558, 9, 3},
    {.930, .410, 9, 4},
    {.896, .436, 9, 4},
    {.947, .467, 9, 4},
    {.90, .38, 9, 4},
    {.412, .543, 9, 5},
    {.414, .440, 9, 5},
    {.429, .475, 9, 5},
    {.434, .445, 9, 5},
    {.779, .349, 9, 6},
    {.698, .357, 9, 6},
    {.769, .389, 9, 6},
    {.78, .31, 9, 6},
    {.180, .210, 9, 7},
    {.205, .204, 9, 7},
    {.173, .226, 9, 7},
    {.153, .199, 9, 7},
    {.228, .497, 9, 8},
    {.202, .458, 9, 8},
    {.200, .482, 9, 8},
    {.379, .593, 10, 1},
    {.326, .584, 10, 1},
    {.337, .578, 10, 1},
    {.345, .559, 10, 1},
    {.168, .486, 10, 2},
    {.122, .453, 10, 2},
    {.390, .370, 10, 3},
    {.376, .376, 10, 3},
    {.361, .408, 10, 3},
    {.358, .449, 10, 3},
    {.094, .447, 11, 1},
    {.656, .373, 12, 1},
    {.688, .367, 12, 1},
    {.606, .407, 12, 1},
    {.717, .393, 12, 1},
    {.720, .530, 12, 2},
    {.755, .505, 12, 2},
    {.680, .530, 12, 2},
    {.339, .718, 12, 3},
    {.338, .675, 12, 3},
    {.651, .559, 19, 1},
    {.609, .496, 19, 1},
    {.595, .463, 19, 1},
    {.474, .637, 19, 2},
    {.484, .720, 19, 2},
    {.383, .745, 19, 2},
    {.495, .670, 19, 2},
    {.526, .362, 19, 3},
    {.552, .339, 19, 3},
    {.544, .371, 19, 3},
    {.24, .65, 19, 4},
    {.85, .32, 19, 5}
  },
  davonswatch_base = {
    {.708, .665, 9, 4},
    {.687, .962, 9, 4},
    {.859, .830, 9, 4},
    {.117, .332, 9, 6},
    {.256, .679, 8, 1},
    {.504, .931, 8, 1},
    {.799, .395, 19, 5},
    {.464, .409, 19, 5},
    {.634, .592, 19, 5},
    {.706, .237, 19, 5}
  },
  ebonheart_base = {{.632, .579, 20, 5}, {.455, .755, 20, 5}, {.535, .535, 20, 5}, {.272, .396, 20, 5}},
  kragenmoor_base = {{.515, .367, 19, 4}, {.597, .623, 19, 4}, {.702, .497, 19, 4}, {.257, .524, 19, 4}},
  hightidehollow_base = {{.140, .328, 9, 3}},
  innerseaarmature_base = {{.539, .229, 12, 1}},
  mephalasnest_base = {{.564, .292, 8, 2}},
  softloamcavern_base = {{.428, .435, 10, 3}},
  fungalgrotto_base = {{.331, .785, 11, 1}},
  stormhaven_base = {
    {.480, .602, 10, 6},
    {.245, .198, 2, 1},
    {.179, .232, 2, 1},
    {.212, .225, 2, 1},
    {.180, .472, 2, 2},
    {.202, .441, 2, 2},
    {.166, .510, 2, 3},
    {.200, .594, 2, 3},
    {.181, .620, 2, 3},
    {.135, .580, 2, 3},
    {.262, .299, 2, 4},
    {.310, .350, 2, 4},
    {.320, .316, 2, 4},
    {.299, .286, 2, 4},
    {.382, .390, 2, 5},
    {.556, .417, 2, 5},
    {.329, .374, 2, 5},
    {.349, .349, 2, 5},
    {.369, .352, 2, 5},
    {.272, .434, 2, 6},
    {.360, .423, 2, 6},
    {.323, .471, 2, 6},
    {.279, .493, 2, 7},
    {.251, .489, 2, 7},
    {.214, .536, 2, 7},
    {.281, .529, 2, 7},
    {.303, .588, 2, 8},
    {.273, .656, 2, 8},
    {.333, .663, 2, 8},
    {.302, .635, 2, 8},
    {.376, .651, 2, 9},
    {.395, .594, 2, 9},
    {.354, .565, 2, 9},
    {.341, .608, 2, 9},
    {.236, .275, 2, 10},
    {.208, .298, 2, 10},
    {.17, .28, 2, 10},
    {.261, .413, 8, 3},
    {.256, .362, 8, 3},
    {.236, .328, 8, 3},
    {.256, .391, 8, 3},
    {.147, .335, 8, 4},
    {.161, .303, 8, 4},
    {.149, .348, 8, 4},
    {.50, .58, 10, 4},
    {.476, .633, 10, 6},
    {.446, .607, 10, 6},
    {.562, .577, 11, 9},
    {.461, .491, 12, 4},
    {.408, .510, 12, 4},
    {.486, .511, 12, 4},
    {.417, .414, 12, 5},
    {.416, .458, 12, 5},
    {.449, .415, 12, 5},
    {.538, .347, 12, 6},
    {.422, .352, 12, 6},
    {.485, .358, 12, 6},
    {.418, .547, 15, 1},
    {.435, .582, 15, 1},
    {.461, .553, 15, 1},
    {.667, .366, 15, 2},
    {.654, .347, 15, 2},
    {.641, .391, 15, 2},
    {.672, .395, 15, 2},
    {.736, .437, 15, 3},
    {.716, .450, 15, 3},
    {.775, .412, 15, 4},
    {.773, .447, 15, 4},
    {.805, .428, 15, 4},
    {.812, .459, 15, 5},
    {.738, .472, 15, 5},
    {.785, .495, 15, 5},
    {.654, .592, 15, 6},
    {.659, .539, 15, 6},
    {.683, .599, 15, 6},
    {.692, .558, 15, 6},
    {.744, .507, 15, 7},
    {.703, .514, 15, 7},
    {.746, .541, 15, 7},
    {.781, .539, 15, 7},
    {.839, .464, 15, 8},
    {.884, .449, 15, 8},
    {.878, .442, 15, 8},
    {.885, .498, 15, 8},
    {.527, .384, 16, 1},
    {.495, .403, 16, 1},
    {.532, .460, 16, 2},
    {.574, .501, 16, 2},
    {.587, .463, 16, 2},
    {.553, .376, 16, 3},
    {.571, .368, 16, 3},
    {.605, .422, 16, 3},
    {.618, .363, 16, 3},
    {.695, .425, 16, 4},
    {.686, .464, 16, 4},
    {.629, .514, 16, 5},
    {.647, .484, 16, 5},
    {.700, .493, 16, 5},
    {.655, .510, 16, 5}
  },
  alcairecastle_base = {{.603, .351, 2, 1}, {.863, .293, 2, 1}, {.770, .593, 2, 10}, {.496, .753, 2, 10}},
  koeglinvillage_base = {{.245, .672, 2, 2}, {.525, .303, 2, 2}},
  wayrest_base = {
    {.226, .410, 10, 4},
    {.610, .298, 10, 4},
    {.308, .212, 10, 4},
    {.465, .564, 10, 5},
    {.827, .374, 10, 5},
    {.075, .660, 10, 6},
    {.215, .096, 15, 1},
    {.970, .454, 15, 6},
    {.361, .080, 16, 2}
  },
  wayrestsewers_base = {{.830, .100, 11, 9}},
  therift_base = {
    {.497, .291, 24, 1},
    {.482, .280, 24, 1},
    {.510, .333, 24, 1},
    {.589, .344, 24, 2},
    {.582, .268, 24, 2},
    --{.617,.285,24,2},{.646,.275,24,2},
    {.619, .522, 24, 3},
    {.543, .532, 24, 3},
    {.558, .502, 24, 3},
    {.586, .488, 24, 3},
    {.834, .534, 24, 4},
    {.836, .571, 24, 4},
    {.851, .524, 24, 4},
    {.849, .521, 24, 4},
    {.412, .530, 24, 5},
    {.390, .438, 24, 5},
    {.365, .474, 24, 5},
    {.433, .478, 24, 5},
    {.512, .550, 24, 6},
    {.510, .601, 24, 6},
    {.476, .603, 24, 6},
    {.475, .557, 24, 6},
    {.183, .407, 24, 7},
    {.197, .421, 24, 7},
    {.201, .392, 24, 7},
    {.212, .403, 24, 7},
    {.376, .316, 24, 8},
    {.488, .401, 24, 8},
    {.444, .353, 24, 8},
    {.470, .432, 24, 8},
    {.685, .515, 24, 9},
    {.721, .509, 24, 9},
    {.655, .311, 24, 10},
    {.670, .289, 24, 10},
    {.734, .401, 12, 13},
    {.718, .404, 12, 13},
    {.773, .397, 12, 13},
    {.393, .562, 12, 14},
    {.398, .577, 12, 14},
    {.419, .567, 12, 14},
    {.385, .574, 12, 14},
    {.716, .665, 12, 15},
    {.736, .635, 12, 15},
    {.361, .524, 12, 15},
    {.654, .618, 12, 15},
    {.370, .263, 12, 16},
    {.294, .270, 12, 16},
    {.07, .483, 13, 9},
    {.923, .623, 14, 1},
    {.898, .587, 14, 1},
    {.859, .592, 14, 1},
    {.110, .451, 14, 2},
    {.130, .411, 14, 2},
    {.789, .502, 14, 3},
    {.821, .489, 14, 3},
    {.777, .450, 14, 3},
    {.685, .375, 14, 4},
    {.645, .369, 14, 4},
    {.647, .404, 14, 4},
    {.80, .62, 14, 5},
    {.836, .613, 14, 5},
    {.783, .602, 14, 5},
    {.157, .448, 14, 6},
    {.164, .475, 14, 6},
    {.180, .479, 14, 6},
    {.209, .463, 14, 6},
    {.191, .335, 14, 7},
    {.251, .273, 14, 7},
    {.198, .310, 14, 7},
    {.157, .262, 14, 7},
    {.658, .574, 14, 8},
    {.719, .559, 14, 8},
    {.082, .237, 14, 9},
    {.083, .273, 14, 9},
    {.120, .322, 14, 9},
    {.092, .296, 14, 9},
    {.317, .423, 14, 10},
    {.371, .388, 14, 10},
    {.329, .435, 14, 10},
    {.259, .413, 18, 7},
    {.233, .392, 18, 7},
    {.504, .443, 18, 8},
    {.498, .471, 18, 8},
    {.519, .470, 18, 8},
    {.531, .403, 18, 9},
    {.498, .367, 18, 9},
    {.862, .630, 18, 10},
    {.806, .680, 18, 10},
    {.806, .684, 18, 10},
    {.891, .646, 11, 17}
  },
  riften_base = {{.552, .677, 24, 9}, {.813, .634, 24, 9}, {.298, .551, 24, 9}},
  shorsstone_base = {{.354, .586, 24, 10}, {.451, .434, 24, 10}, {.566, .540, 24, 10}},
  nimalten_base = {{.494, .523, 18, 7}, {.606, .619, 18, 7}, {.582, .380, 18, 7}, {.443, .489, 18, 7}},
  avancheznel_base = {{.770, .526, 12, 14}},
  brokenhelm_base = {{.305, .582, 14, 5}},
  ebonmeretower_base = {{.342, .378, 18, 8}},
  fallowstonevault_base = {{.101, .448, 24, 2}},
  forelhost_base = {{.281, .613, 14, 5}},
  fortgreenwall_base = {{.454, .672, 12, 13}},
  snaplegcave_base = {{.74, .59, 12, 16}},
  trolhettacave_base = {{.502, .261, 18, 10}},
  blessedcrucible2_base = {{.240, .443, 11, 17}},
  blessedcrucible4_base = {{.240, .443, 11, 17}},
  blessedcrucible5_base = {{.240, .443, 11, 17}},
  blessedcrucible6_base = {{.240, .443, 11, 17}},
  blessedcrucible7_base = {{.240, .443, 11, 17}},
  wrothgar_base = {
    {.634, .309, 11, 5},
    {.649, .329, 11, 5},
    {.476, .545, 16, 7},
    {.462, .511, 16, 7},
    {.460, .457, 16, 7},
    {.510, .694, 14, 2},
    {.806, .325, 8, 3},
    {.730, .257, 8, 3},
    {.283, .707, 19, 9},
    {.286, .694, 19, 9}
  },
  abagarlas_base = {{.247, .548, 29, 1}},
  mzendeldt_base = {{.39, .92, 29, 2}},
  chateaumasterbedroom_base = {{.422, .482, 7, 2}},
  circusofcheerfulslaughter_base = {{.279, .699, 7, 3}},
  gladeofthedivineshivering_base = {{.516, .561, 7, 4}},
  cheesemongershollow_base = {{.790, .253, 7, 1}},
  dbsanctuary_base = {{.802, .532, 16, 9}},
  --vvardenfell_base={{.648,.571,8,5},{.403,.808,20,3},{.319,.627,8,4},{.441,.747,10,10},{.557,.754,8,5},{.595,.756,8,5},{.627,.813,20,8},{.720,.828,22,9},{.778,.715,23,1},{.879,.705,11,6},{.901,.533,23,1},{.713,.456,23,9},{.750,.259,23,1},{.447,.206,20,8},{.423,.195,20,8},{.405,.267,8,4},{.288,.220,10,10},{.242,.23,11,6},{.288,.289,23,1},{.169,.289,8,4},{.329,.474,23,9}},
  vvardenfell_base = {
    {.404, .809, 20, 3},
    {.882, .612, 20, 3},
    {.34, .528, 20, 3},
    {.502, .244, 8, 4},
    {.405, .269, 8, 4},
    {.32, .627, 8, 4},
    {.169, .291, 8, 4},
    {.648, .57, 8, 5},
    {.557, .756, 8, 5},
    {.74, .53, 8, 5},
    {.597, .76, 8, 5},
    {.29, .22, 10, 10},
    {.78, .62, 10, 10},
    {.441, .747, 10, 10},
    {.878, .706, 11, 6},
    {.741, .834, 11, 6},
    {.243, .231, 11, 6},
    {.652, .28, 11, 6},
    {.627, .813, 20, 8},
    {.444, .206, 20, 8},
    {.67, .849, 20, 8},
    {.423, .198, 20, 8},
    {.485, .65, 22, 9},
    {.165, .374, 22, 9},
    {.72, .828, 22, 9},
    {.286, .29, 23, 1},
    {.778, .715, 23, 1},
    {.751, .26, 23, 1},
    {.9, .534, 23, 1},
    {.607, .911, 23, 3},
    {.311, .338, 23, 3},
    {.389, .722, 23, 3},
    {.579, .7, 23, 3},
    {.193, .427, 23, 9},
    {.33, .475, 23, 9},
    {.686, .622, 23, 9},
    {.712, .456, 23, 9}
  }
  --Need to confirm:
  --["coldharbour_base"]={{.683,.806}},
}
